﻿/****************************
*      LS_Nimbus clone      *
*   Version 1.0 10.03.2013  *
*     created by oldster    *
*    http://itheming.de/    *
****************************/
var obj = {error:false, errorString:null};

function updateDisplay() {
	document.getElementById("status").innerHTML = "updateDisplay";	
	// weather
	document.getElementById("city").innerHTML = obj.city;
	document.getElementById("temp").innerHTML = obj.temp + "°";
	document.getElementById("icon").src="icon/"+MiniIcons[obj.icon]+".png";
	document.getElementById("description").innerHTML = Translate(obj.description.toUpperCase());
	
}

var this_date_name_array = new Array("00","01","02","03","04","05","06","07","08","09",
	"10","11","12","13","14","15","16","17","18","19",
	"20","21","22","23","24","25","26","27","28","29","30","31")
var this_weekday_name_array=["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag",
	"Sunday"];
var this_month_name_array=["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"];

setInterval( function time() {
	document.getElementById("status").innerHTML = "function time";
		
	var date    = new Date().getDate();
	var day     = new Date().getDay();
	var month   = new Date().getMonth();
	var year    = new Date().getFullYear();
	var mins    = new Date().getMinutes();
	var hours   = new Date().getHours();
	
	
	document.getElementById("date").innerHTML= this_date_name_array[date];
	document.getElementById("day").innerHTML= this_weekday_name_array[day];
	document.getElementById("month").innerHTML= this_month_name_array[month];
		
	mins = ( mins < 10 ? "0" : "" ) + mins;
	hours = ( hours < 10 ? "0" : "" ) + hours;
	
	document.getElementById("clock").innerHTML= hours + "|" + mins ;
		
	
	var currentTime = new Date ();
	
	if (lastWeather == 0){
	  readWeather();
	  lastWeather = currentTime.getTime();
	}
	else{
	  if (currentTime.getTime() - lastWeather >= nextWeather){
	    lastWeather = currentTime.getTime();
	   	readWeather();
	  }
	}	
		
	}, 1000 );
	
/****************************
*      classic weather      *
*         by oldster        *
*   Version 1.0 31.05.2012  *
*    http://itheming.de/    *
****************************/
var lastWeather = 0;
var nextWeather = 60*60*1000;

var MiniIcons = //Fix Up for weatherParser.js but also enables standardisation of sorts
[
	"tstorm3",		//0	tornado
	"tstorm3",		//1	tropical storm
	"tstorm3",		//2	hurricane
	"tstorm3",		//3	severe thunderstorms
	"tstorm2",		//4	thunderstorms
	"sleet",		//5	mixed rain and snow
	"sleet",		//6	mixed rain and sleet
	"sleet",		//7	mixed snow and sleet
	"sleet",		//8	freezing drizzle
	"light_rain",		//9	drizzle
	"sleet",		//10	freezing rain
	"shower2",		//11	showers
	"shower2",		//12	showers
	"snow1",		//13	snow flurries
	"snow2",		//14	light snow showers
	"snow4",		//15	blowing snow
	"snow4",		//16	snow
	"hail", 	//17	hail
	"sleet",		//18	sleet
	"mist", 	//19	dust
	"fog",		       //20	foggy
	"fog",		       //21	haze
	"fog",		       //22	smoky
	"cloudy1",		//23	blustery
	"cloudy1",		//24	windy
	"overcast",		//25	cold
	"cloudy1",		//26	cloudy
	"cloudy4_night",	//27	mostly cloudy (night)
	"cloudy4",		//28	mostly cloudy (day)
	"cloudy2_night",	//29	partly cloudy (night)
	"cloudy2",		//30	partly cloudy (day)
	"sunny_night",	//31	clear (night)
	"sunny",		//32	sunny
	"mist_night",		//33	fair (night)
	"mist", 	//34	fair (day)
	"hail", 	//35	mixed rain and hail
	"sunny",		//36	hot
	"tstorm1",		//37	isolated thunderstorms
	"tstorm2",		//38	scattered thunderstorms
	"tstorm2",		//39	scattered thunderstorms
	"tstorm2",		//40	scattered showers
	"snow5",		//41	heavy snow
	"snow3",		//42	scattered snow showers
	"snow5",		//43	heavy snow
	"cloudy1",		//44	Gedeeltelijk Bewolkt
	"storm1",		//45	thundershowers
	"snow2",		//46	snow showers
	"tstorm1",		//47	isolated thundershowers
	"dunno",		//3200	not available
];
	
function readWeather() {
	document.getElementById("status").innerHTML = "readWeather";
	url="http://weather.yahooapis.com/forecastrss?w="+locale+"&u="+weather_unit;
	// original source code from http://www.w3schools.com/ajax/ajax_xmlhttprequest_create.asp
	var xmlhttp;
 	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
   		xmlhttp=new XMLHttpRequest();
   	}
 	else {// code for IE6, IE5
   		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
   	}
	xmlhttp.open("GET",url,true);	
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status == 200) {
     		xmlDoc=xmlhttp.responseXML;
			writeWeather(xmlDoc);
   		}
   	}
	xmlhttp.overrideMimeType("text/xml");
	
	xmlhttp.send(null);
}

function writeWeather(xmlDoc) {
	document.getElementById("status").innerHTML = "writeWeather";
	var effectiveRoot = findChild(findChild(xmlDoc, "rss"), "channel");
	// make location id for weather forecast
	var yahoo_link    = effectiveRoot.getElementsByTagName("link");
	var dummy         = yahoo_link[0].childNodes[0].nodeValue;
	var dummy1        = dummy.split('forecast/')[1];
	var dummy2        = dummy1.split('_')[0];
	var loc_forecast  = dummy2;
	
	// The location of this forecast
	obj.city = findChild(effectiveRoot, "yweather:location").getAttribute("city");
	// Units for various aspects of the forecast
	obj.tempunit = findChild(effectiveRoot, "yweather:units").getAttribute("temperature");
	obj.visibilityunit = findChild(effectiveRoot, "yweather:units").getAttribute("distance");
	obj.pressureunit = findChild(effectiveRoot, "yweather:units").getAttribute("pressure");
	obj.windunit = findChild(effectiveRoot, "yweather:units").getAttribute("speed");
	// Forecast information about wind
	obj.chill = findChild(effectiveRoot, "yweather:wind").getAttribute("chill");
	obj.winddir = findChild(effectiveRoot, "yweather:wind").getAttribute("direction");
	obj.windspeed = findChild(effectiveRoot, "yweather:wind").getAttribute("speed");
	// Forecast information about current atmospheric pressure, humidity, and visibility
	obj.humidity = findChild(effectiveRoot, "yweather:atmosphere").getAttribute("humidity");	  
	obj.visibility = findChild(effectiveRoot, "yweather:atmosphere").getAttribute("visibility");
	obj.pressure = findChild(effectiveRoot, "yweather:atmosphere").getAttribute("pressure");
	obj.rising = findChild(effectiveRoot, "yweather:atmosphere").getAttribute("rising");
	// Forecast information about current astronomical conditions
	obj.sunrise = findChild(effectiveRoot, "yweather:astronomy").getAttribute("sunrise");
	obj.sunset = findChild(effectiveRoot, "yweather:astronomy").getAttribute("sunset");
	// The current weather conditions
	conditionTag = findChild(findChild(effectiveRoot, "item"), "yweather:condition");
	obj.description = conditionTag.getAttribute("text");
	obj.icon = conditionTag.getAttribute("code");	
	obj.temp = conditionTag.getAttribute("temp");
	obj.date = conditionTag.getAttribute("date");

	updateDisplay();
	
}

function findChild (element, nodeName)
{
	var child;
	for (child = element.firstChild; child != null; child = child.nextSibling)
	{
       if (child.nodeName == nodeName)
		return child;
	}
	return null;
}

/****************************
*    weather translation    *
*   Version 1.0 16.02.2013  *
*     created by oldster    *
*    http://itheming.de/    *
****************************/
function Translate(translate){
    switch (translate) {
case "AM CLOUDS PM SUN": { return "vormittags bewölkt/nachmittags sonnig" }
case "AM DRIZZLE": { return "vormittags Nieselregen" }
case "AM DRIZZLE WIND": { return "vorm. Nieselregen/Wind" }
case "AM FOG PM CLOUDS": { return "vormittags Nebel/nachmittags bewölkt" }
case "AM FOG PM SUN": { return "vormittags Nebel, nachmittags sonnig" }
case "AM ICE": { return "vorm. Eis" }
case "AM LIGHT RAIN": { return "vormittags leichter Regen" }
case "AM LIGHT RAIN WIND": { return "vorm. leichter Regen/Wind" }
case "AM LIGHT SNOW": { return "vormittags leichter Schneefall" } 
case "AM RAIN": { return "vormittags Regen" }
case "AM RAIN SNOW SHOWERS": { return "vorm. Regen-/Schneeschauer" }
case "AM RAIN SNOW": { return "vormittags Regen/Schnee" }
case "AM RAIN SNOW WIND": { return "vorm. Regen/Schnee/Wind" }
case "AM RAIN WIND": { return "vorm. Regen/Wind" }
case "AM SHOWERS": { return "vormittags Schauer" }
case "AM SHOWERS WIND": { return "vormittags Schauer/Wind" }
case "AM SNOW SHOWERS": { return "vormittags Schneeschauer" }
case "AM SNOW": { return "vormittags Schnee" }
case "AM THUNDERSHOWERS": { return "vorm. Gewitterschauer" }
case "BLOWING SNOW": { return "Schneetreiben" }
case "CLEAR": { return "Klar" }
case "CLEAR WINDY": { return "Klar/Windig" }
case "CLOUDS EARLY CLEARING LATE": { return "vormittags Wolken/später klar" }
case "CLOUDY": { return "Bewölkt" }
case "CLOUDY WIND": { return "Bewölkt/Wind" }
case "CLOUDY WINDY": { return "Wolkig/Windig" }
case "DRIFTING SNOW": { return "Schneetreiben" }
case "DRIFTING SNOW WINDY": { return "Schneetreiben/Windig" }
case "DRIZZLE EARLY": { return "vormittags Nieselregen" }
case "DRIZZLE LATE": { return "später Nieselregen" }
case "DRIZZLE": { return "Nieselregen" }
case "DRIZZLE FOG": { return "Nieselregen/Nebel" }
case "DRIZZLE WIND": { return "Nieselregen/Wind" }
case "DRIZZLE WINDY": { return "Nieselregen/Windig" }
case "FAIR": { return "Heiter" }
case "FAIR WINDY": { return "Heiter/Windig" }
case "FEW SHOWERS": { return "vereinzelte Schauer" }
case "FEW SHOWERS WIND": { return "vereinzelte Schauer/Wind" }
case "FEW SNOW SHOWERS": { return "vereinzelt Schneeschauer" }
case "FOG EARLY CLOUDS LATE": { return "vormittags Nebel, später Wolken" }
case "FOG LATE": { return "später neblig" }
case "FOG": { return "Nebel" }
case "FOG WINDY": { return "Nebel/Windig" }
case "FOGGY": { return "neblig" }
case "FREEZING DRIZZLE": { return "gefrierender Nieselregen" }
case "FREEZING DRIZZLE WINDY": { return "gefrierender Nieselregen/Windig" }
case "FREEZING RAIN": { return "gefrierender Regen" }
case "HAZE": { return "Dunst" }
case "HEAVY DRIZZLE": { return "starker Nieselregen" }
case "HEAVY RAIN SHOWER": { return "Starker Regenschauer" }
case "HEAVY RAIN": { return "Starker Regen" }
case "HEAVY RAIN WIND": { return "starker Regen/Wind" }
case "HEAVY RAIN WINDY": { return "Starker Regen/Windig" }
case "HEAVY SNOW SHOWER": { return "Starker Schneeschauer" }
case "HEAVY SNOW": { return "Starker Schneefall" }
case "HEAVY SNOW WIND": { return "Starker Schneefall/Wind" }
case "HEAVY THUNDERSTORM": { return "Schweres Gewitter" }
case "HEAVY THUNDERSTORM WINDY": { return "Schweres Gewitter/Windig" }
case "ICE CRYSTALS": { return "Klatteis" }
case "ICE LATE": { return "später Eis" }
case "ISOLATED T-STORMS": { return "Vereinzelte Gewitter" }
case "ISOLATED THUNDERSTORMS": { return "Vereinzelte Gewitter" }
case "LIGHT DRIZZLE": { return "Leichter Nieselregen" }
case "LIGHT FREEZING DRIZZLE": { return "Leichter gefrierender Nieselregen" }
case "LIGHT FREEZING RAIN": { return "Leichter gefrierender Regen" }
case "LIGHT FREEZING RAIN FOG": { return "Leichter gefrierender Regen/Nebel" }
case "LIGHT RAIN EARLY": { return "anfangs leichter Regen" }
case "LIGHT RAIN": { return "Leichter Regen" }
case "LIGHT RAIN LATE": { return "später leichter Regen" }
case "LIGHT RAIN SHOWER": { return "Leichter Regenschauer" }
case "LIGHT RAIN SHOWER FOG": { return "Leichter Regenschauer/Nebel" }
case "LIGHT RAIN SHOWER WINDY": { return "Leichter Regenschauer/windig" }
case "LIGHT RAIN WITH THUNDER": { return "Leichter Regen mit Gewitter" }
case "LIGHT RAIN FOG": { return "Leichter Regen/Nebel" }
case "LIGHT RAIN FREEZING RAIN": { return "Leichter Regen/Gefrierender Regen" }
case "LIGHT RAIN WIND EARLY": { return "vormittags leichter Regen/Wind" }
case "LIGHT RAIN WIND LATE": { return "später leichter Regen/Wind" }
case "LIGHT RAIN WIND": { return "leichter Regen/Wind" }
case "LIGHT RAIN WINDY": { return "Leichter Regen/Windig" }
case "LIGHT SLEET": { return "Leichter Schneeregen" }
case "LIGHT SNOW EARLY": { return "vormittagser leichter Schneefall" }
case "LIGHT SNOW GRAINS": { return "Leichter Schneegriesel" }
case "LIGHT SNOW LATE": { return "später leichter Schneefall" }
case "LIGHT SNOW SHOWER": { return "Leichter Schneeschauer" }
case "LIGHT SNOW SHOWER FOG": { return "Leichter Schneeschauer/Nebel" }
case "LIGHT SNOW WITH THUNDER": { return "Leichter Schneefall mit Gewitter" }
case "LIGHT SNOW": { return "Leichter Schneefall" }
case "LIGHT SNOW FOG": { return "Leichter Schneefall/Nebel" }
case "LIGHT SNOW FREEZING RAIN": { return "Leichter Schneefall/Gefrierender Regen" }
case "LIGHT SNOW WIND": { return "Leichter Schneefall/Wind" }
case "LIGHT SNOW WINDY": { return "Leichter Schneeschauer/Windig" }
case "LIGHT SNOW WINDY FOG": { return "Leichter Schneefall/Windig/Nebel" }
case "MIST": { return "Nebel" }
case "MOSTLY CLEAR": { return "überwiegend Klar" }
case "MOSTLY CLOUDY": { return "Überwiegend bewölkt" }
case "MOSTLY CLOUDY WIND": { return "meist bewölkt/Wind" }
case "MOSTLY SUNNY": { return "Überwiegend sonnig" } 
case "PARTIAL FOG": { return "teilweise Nebel" }
case "PARTLY CLOUDY": { return "Teilweise bewölkt" }
case "PARTLY CLOUDY WIND": { return "teilweise bewölkt/Wind" }
case "PATCHES OF FOG": { return "Nebelfelder" }
case "PATCHES OF FOG WINDY": { return "Nebelfelder/Windig" }
case "PM DRIZZLE": { return "nachm. Nieselregen" }
case "PM FOG": { return "nachmittags Nebel" }
case "PM LIGHT SNOW": { return "nachmittags leichter Schneefall" }
case "PM LIGHT RAIN": { return "nachmittags leichter Regen" }
case "PM LIGHT RAIN WIND": { return "nachm. leichter Regen/Wind" }
case "PM LIGHT SNOW WIND": { return "nachm. leichter Schneefall/Wind" }
case "PM RAIN": { return "nachmittags Regen" }
case "PM RAIN SNOW SHOWERS": { return "nachmittags Regen/Schneeschauer" }
case "PM RAIN SNOW": { return "nachmittags Regen/Schnee" }
case "PM RAIN WIND": { return "nachm. Regen/Wind" }
case "PM SHOWERS": { return "nachmittags Schauer" }
case "PM SHOWERS WIND": { return "nachmittags Schauer/Wind" }
case "PM SNOW SHOWERS": { return "nachmittags Schneeschauer" }
case "PM SNOW SHOWERS WIND": { return "nachm. Schneeschauer/Wind" }
case "PM SNOW": { return "nachm. Schnee" }
case "PM T-STORMS": { return "nachmittags Gewitter" }
case "PM THUNDERSHOWERS": { return "nachmittags Gewitterschauer" }
case "PM THUNDERSTORMS": { return "nachm. Gewitter" }
case "RAIN AND SNOW": { return "Schneeregen" }
case "RAIN AND SNOW WINDY": { return "Regen und Schnee/Windig" }
case "RAIN SNOW SHOWERS WIND": { return "Regen/Schneeschauer/Wind" }
case "RAIN EARLY": { return "vormittags Regen" }
case "RAIN LATE": { return "später Regen" }
case "RAIN SHOWER": { return "Regenschauer" }
case "RAIN SHOWER WINDY": { return "Regenschauer/Windig" }
case "RAIN TO SNOW": { return "Regen, in Schnee übergehend" }
case "RAIN": { return "Regen" }
case "RAIN SNOW EARLY": { return "vormittags Regen/Schnee" }
case "RAIN SNOW LATE": { return "später Regen/Schnee" }
case "RAIN SNOW SHOWERS EARLY": { return "vormittags Regen-/Schneeschauer" }
case "RAIN SNOW SHOWERS LATE": { return "später Regen-/Schneeschnauer" }
case "RAIN SNOW SHOWERS": { return "Regen/Schneeschauer" }
case "RAIN SNOW": { return "Regen/Schnee" }
case "RAIN SNOW WIND": { return "Regen/Schnee/Wind" }
case "RAIN THUNDER": { return "Regen/Gewitter" }
case "RAIN WIND EARLY": { return "vormittags Regen/Wind" }
case "RAIN WIND LATE": { return "später Regen/Wind" }
case "RAIN WIND": { return "Regen/Wind" }
case "RAIN WINDY": { return "Regen/Windig" }
case "SCATTERED SHOWERS": { return "vereinzelte Schauer" }
case "SCATTERED SHOWERS WIND": { return "vereinzelte Schauer/Wind" }
case "SCATTERED SNOW SHOWERS": { return "vereinzelte Schneeschauer" }
case "SCATTERED SNOW SHOWERS WIND": { return "vereinzelte Schneeschauer/Wind" }
case "SCATTERED T-STORMS": { return "vereinzelte Gewitter" }
case "SCATTERED THUNDERSTORMS": { return "vereinzelte Gewitter" }
case "SHALLOW FOG": { return "Bodennebel" }
case "SHOWERS": { return "Schauer" }
case "SHOWERS EARLY": { return "vormittags Schauer" }
case "SHOWERS LATE": { return "später Schauer" }
case "SHOWERS IN THE VICINITY": { return "Regenfälle in der Nähe" }
case "SHOWERS WIND": { return "Schauer/Wind" }
case "SLEET AND FREEZING RAIN": { return "Schneeregen und gefrierender Regen" }
case "SLEET WINDY": { return "Schneeregen/Windig" }
case "SNOW GRAINS": { return "Schneegriesel" }
case "SNOW LATE": { return "später Schnee" }
case "SNOW SHOWER": { return "Schneeschauer" }
case "SNOW SHOWERS EARLY": { return "vormittags Schneeschauer" }
case "SNOW SHOWERS LATE": { return "später Schneeschauer" }
case "SNOW SHOWERS": { return "Schneeschauer" }
case "SNOW SHOWERS WIND": { return "Schneeschauer/Wind" }
case "SNOW TO RAIN": { return "Schneeregen" }
case "SNOW": { return "Schneefall" }
case "SNOW WIND": { return "Schneefall/Wind" }
case "SNOW WINDY": { return "Schnee/Windig" }
case "SQUALLS": { return "Böen" }
case "SUNNY": { return "Sonnig" }
case "SUNNY WIND": { return "Sonnig/Wind" }
case "SUNNY WINDY": { return "Sonnig/Windig" }
case "T-SHOWERS": { return "Gewitterschauer" }
case "THUNDER IN THE VICINITY": { return "Gewitter in der Umgebung" }
case "THUNDER": { return "Gewitter" }
case "THUNDERSHOWERS EARLY": { return "vormittags Gewitterschauer" }
case "THUNDERSHOWERS": { return "Gewitterschauer" }
case "THUNDERSTORM": { return "Gewitter" }
case "THUNDERSTORM WINDY": { return "Gewitter/Windig" }
case "THUNDERSTORMS EARLY": { return "vormittags Gewitter" }
case "THUNDERSTORMS LATE": { return "später Gewitter" }
case "THUNDERSTORMS": { return "Gewitter" }
case "UNKNOWN PRECIPITATION": { return "Niederschlag" }
case "UNKNOWN": { return "unbekannt" }
case "WINTRY MIX": { return "Winterlicher Mix" }
}
    return translate;
}
